import { ITransactionItem } from '../ITransactionItem.js';
import { IDesignItem } from '../../../item/IDesignItem.js';
import { IBinding } from '../../../item/IBinding.js';
import { IContentChanged } from '../../InstanceServiceContainer.js';
export declare class AttributeAndPropertyChangeAction implements ITransactionItem {
    constructor(designItem: IDesignItem, attributeName: string, propertyName: string, newValue: any | IBinding | null, oldValue: any | IBinding | null);
    title?: string;
    get affectedItems(): IDesignItem[];
    undo(): IContentChanged[] | null;
    do(): IContentChanged[] | null;
    designItem: IDesignItem;
    attributeName: any;
    propertyName: any;
    newValue: any;
    oldValue: any;
    mergeWith(other: ITransactionItem): boolean;
}
